Subject: Bug#489: [X2Go-Dev] Bug#489: x2goclient ignores pageant if path to SSH key is provided

From: Mike Gabriel <[email-masked]>
Date: Wed, 07 May 2014 21:40:51 +0000

Control: severity -1 wishlist
Control: tag -1 confirmed

Hi Akihiro,

On  Mi 07 Mai 2014 12:45:11 CEST, Akihiro Nomura wrote:

> Package: x2goclient
> Version: 4.0.2.0
>
> I'm using both PuTTY 0.61 and x2goclient in Windows 7, using SSH  
> private key with pass-phrase.
> When I leave "Use RSA/DSA key for ssh connection" blank and select  
> "Try auto login (...)", x2goclient connects using SSH key in pageant  
> and connects well, but when I forget booting pageant, x2goclient  
> asks for pass-phrase (of what?) and I cannot login.
>
> In order to prevent the latter scenario, I provided path for private  
> key (in OpenSSH format, not in .ppk file in PuTTY), leaving "Try  
> auto login" check box checked.
> In this case, x2goclient always asks the pass-phrase of the key and  
> don't try using key in pageant.
> After providing the pass-phrase, x2goclient works fine, but typing  
> pass-phrase many times is annoying.
>
> Is it possible to configure x2goclient to use pageant first and  
> specified SSH key as fall back?
>
> Best regards,

this surely makes sense, but the current implementation of SSH  
authentication in X2Go Client does not handle things the way you  
suggest.

Marking your issue as a wishlist bug for now...

@mikedep333: Note that this issue is not a Windows-only issue. The  
same behaviour can be observed on Linux with ssh-agent and a  
non-default SSH privkey file location.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb